Skip to Content

Chat

6 endpoints

POST /api/v5/artifacts/chat/get

Chat Get

Get hydrated resources for chat bundle customization.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ chat_entry_id: `string` attempt_id?: `string` | `null` draft_id?: `string` | `null` description_search?: `string` | `null` persona_search?: `string` | `null` document_search?: `string` | `null` problem_statement_search?: `string` | `null` image_search?: `string` | `null` video_search?: `string` | `null` question_search?: `string` | `null` option_search?: `string` | `null` persona_show_selected?: `boolean` | `null` document_show_selected?: `boolean` | `null` }

Response:

{ chat_entry_id: `string` attempt_id?: `string` | `null` group_id: `string` draft_version?: `integer` | `null` names?: `ChatNameSection` | `null` descriptions?: `ChatDescriptionSection` | `null` flags?: `ChatFlagSection` | `null` departments?: `ChatDepartmentSection` | `null` personas?: `ChatPersonaSection` | `null` documents?: `ChatDocumentSection` | `null` parameter_fields?: `ChatParameterFieldSection` | `null` scenarios?: `ChatScenarioSection` | `null` fields?: `ChatFieldSection` | `null` questions?: `ChatQuestionSection` | `null` options?: `ChatOptionSection` | `null` videos?: `ChatVideoSection` | `null` images?: `ChatImageSection` | `null` problem_statements?: `ChatProblemStatementSection` | `null` objectives?: `ChatObjectiveSection` | `null` }

PATCH /api/v5/artifacts/chat/draft

Patch Chat Draft

Patch chat draft — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ input_draft_id?: `string` | `null` expected_version?: `integer` name?: `string` | `null` description?: `string` | `null` problem_statement?: `string` | `null` objectives?: `string`[] | `null` images?: `DraftImageValue`[] | `null` videos?: `app__routes__v5__api__main__chat__types__DraftVideoValue`[] | `null` questions?: `DraftQuestionValue`[] | `null` options?: `DraftOptionValue`[] | `null` name_ids?: `string`[] | `null` description_ids?: `string`[] | `null` document_ids?: `string`[] | `null` field_ids?: `string`[] | `null` flag_ids?: `string`[] | `null` image_ids?: `string`[] | `null` objective_ids?: `string`[] | `null` option_ids?: `string`[] | `null` parameter_field_ids?: `string`[] | `null` parameter_ids?: `string`[] | `null` ... }

Response:

{ success: `boolean` draft_id: `string` new_version: `integer` message: `string` form_state?: `ChatDraftFormState` | `null` }

POST /api/v5/artifacts/chat/drafts

Get Chat Drafts

List chat drafts owned by the current profile.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ entries?: `GetChatDraftResponse`[] | `null` }

POST /api/v5/artifacts/chat/export

Export Chat

Export a single chat as a clean, denormalized CSV.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ chat_entry_id: `string` attempt_id?: `string` | `null` draft_id?: `string` | `null` }

Response:

{ upload_id: `string` file_name: `string` row_count: `integer` }

POST /api/v5/artifacts/chat/refresh

Chat Refresh

Refresh chat materialized views and invalidate caches.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ success: `boolean` refreshed_views: `string`[] invalidated_tags: `string`[] }

POST /api/v5/artifacts/chat/docs

Get Chat Docs Endpoint

Get composed documentation for the chat analytics.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ entity_id?: `string` | `null` }

Response:

{ name: `string` type: `string` description: `string` artifact?: `DocsResponse` | `null` entries: `DocsResponse`[] resources: `DocsResponse`[] permissions: `OperationInfo`[] api_operations: `OperationInfo`[] page_metadata?: `DocsApiResponse` | `null` }

Last updated on